% clear MATLAB
clc; clear all; close all;

% load apm libraries
addpath('apm');

% server
s = 'http://xps.apmonitor.com';

% create a pool of processors
cycles = 10;
max_cores = 4;
pool = min(max_cores,cycles);
matlabpool(pool);

parfor i = 1:3,
    % application name
    a{i} = ['nlp' int2str(i)];

    % clear server
    apm(s,a{i},'clear all');

    % load model
    apm_load(s,a{i},[a{i} '.apm']);

    % solve
    apm(s,a{i},'solve');

    % retrieve solution
    y{i} = apm_sol(s,a{i});
    solution{i} = y{i}.x;

    % open solution in web browser
    apm_web_var(s,a{i});
end

% close pool
matlabpool close
